# This file is part of FatxFast.
#
#    FatxFast is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    FatxFast is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with FatxFast.  If not, see <http://www.gnu.org/licenses/>.

# Versioning based on: 
# http://en.wikipedia.org/wiki/Versioning#Designating_development_stage
__author__ = "dryatu (c) 2013"
__version__ = "1.2.1"

TITLE = "Fat x Fast - "+__version__
FPS = 30
FRAME_TIME = 1000/FPS
SCREENSIZE = (1024, 710)
SCOREWIDGETSIZE = (1024,60)
GAMESIZE = (1024,650)

TILEWIDTH = 48
TILEHEIGHT = 48
PITCOLOR = (0,0,0)
WALLCOLOR = (170,170,170)
FLOORCOLOR = (75,75,75)
ENDCOLOR = (225,0,0)
STARTCOLOR = (0,225,0)
WEAVECOLOR = (200,50,0)
GROUND_LAYER = 0
ROOF_LAYER = 1
COLLIDE_LAYER = 2
OBJECT_LAYER = 3
OVER_LAYER = 4

# ID RANGES
TRIGGER_RANGE = range(10, 50)

# Tiletype ids 0-10
NOTHING_ID = 0
FLOOR_ID = 1
WALL_ID = 2
START_ID = 4


# Object IDs
SPAWNAREA_ID = 100

# Trigger ids 10-49
COFFEE_ID = 10
WARP_ID = 11
MINE_ID = 12
TRIGGER_ID = 13
END_ID = 14

CELL_ID = 50
STARTCELL_ID = 51
ENDCELL_ID = 52
WEAVE_ID = 53

# Buff IDs

COFFEE_BUFF_ID = 513
WARP_DEBUFF_ID = 514
MINE_BUFF_ID = 515

# Image names
BUFF_IMAGE_NAMES = {
    "coffee": "coffee.png",
    "nekpc": "nekpc.png"}
    

# Character image size - Used to cut frames for animation -

CHAR_IMAGE_WIDTH = TILEWIDTH
CHAR_IMAGE_HEIGHT = TILEWIDTH

# Entities hitbox size
DEFAULT_ENTITY_WIDTH = TILEWIDTH
DEFAULT_ENTITY_HEIGHT = TILEWIDTH

# Character movement
CHAR_MAX_SPEED = TILEWIDTH*0.65
CHAR_ACCEL = 2.5
CHAR_MIN_SPEED = TILEWIDTH/16

# Enumerated directions
NORTH = 0
WEST = 1
EAST = 2
SOUTH = 3
DIRS = {(0, -1): NORTH, (-1,0): WEST, (1,0): EAST, (0,1): SOUTH}

DIRECTIONS = [(0,-1), (-1,0), (1,0), (0,1)]
