# This file is part of FatxFast.
#
#    FatxFast is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    FatxFast is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with FatxFast.  If not, see <http://www.gnu.org/licenses/>.

# Versioning based on: 
# http://en.wikipedia.org/wiki/Versioning#Designating_development_stage
__author__ = "dryatu (c) 2013"
__version__ = "1.2.1"

import FatxFast.gui.textwidget as textwidget
from FatxFast.graphics import load_image

class BuffWidget(textwidget.TextWidget):
    
    def __init__(self, **kwargs):
        self.buff = kwargs.get("buff")
        super(BuffWidget, self).__init__(**kwargs)
        
    def update(self):
        if self.text != str(self.buff.duration/1000):
            self.text = str(self.buff.duration/1000)
        super(BuffWidget, self).update()
