from FatxFast.gui.hud.frame import Frame
import datetime
import time

class GlobalHud(Frame):
    # Unified objects like time &  level
    def __init__(self, game, **kwargs):
        super(GlobalHud, self).__init__(game, **kwargs)
        self._cache_time = 0
        self._cache_level = 0
        self.create_text(
            {"name": "clock-icon",
                "x": 100,
                "y": 5,
                "size": 24,
                "container": self,
                "text": u"\ue803",
                "font": "fontello.ttf"})
        self._time_widget = self.create_text(
            {
                "font":"lavoir.ttf",
                "name":"time",
                "x":140,
                "y": 5,
                "text":"00:00:00",
                "container":self
            })
        self._level_widget = self.create_text({"name":"level",
            "x":800,
            "y": 5,
            "text":"LEVEL: 0",
            "font":"lavoir.ttf",
            "container":self})

    def update(self, dt):
        super(GlobalHud, self).update(dt)
        if self._cache_time != self.game.time/1000 and self.game.time > -1:
            self._cache_time = self.game.time/1000
            time_text = datetime.timedelta(seconds=self._cache_time)
            time_text = time.strftime("%H:%M:%S", time.strptime(str(time_text), 
                "%H:%M:%S"))
            self._time_widget.text = "%s" % time_text
            
        if self._cache_level != self.game.levelsystem.level:
            self._cache_level = self.game.levelsystem.level
            self._level_widget.text= "LEVEL: {0}".format(
                self.game.levelsystem.level)
        

